import request from '@/utils/httpRequest';
import { BUSINESS_PATH as prefix } from "../../AppPath";

export default class EnterpriseSearchService {
  enterpriseSearchByName (name) {
    return request({
      url: prefix +  `/enterprise_search_api/enterpriseSearchByName`,
      method: 'post',
      params: {keyword: name}
    })
  }
  enterpriseTicketInfo (id) {
    return request({
      url: prefix +  `/enterprise_search_api/enterpriseTicketInfo`,
      method: 'post',
      params: {id: id}
    })
  }
}
