import request from "@/utils/httpRequest";
import { FINANCE_PATH as prefix } from "../../AppPath";

export default class ContractFilePaperService {
  save (param) {
    return request({
      url: prefix + '/contract/contractPaperFile/save',
      method: 'post',
      data: param
    })
  }
  updateStatusById (param) {
    return request({
      url: prefix + '/contract/contractPaperFile/updateStatusById',
      method: 'post',
      data: param
    })
  }
  findByContractInfoId (id) {
    return request({
      url: prefix + '/contract/contractPaperFile/findByContractInfoId',
      method: 'get',
      params: {id: id}
    })
  }
}
