import request from "@/utils/httpRequest";
import { FLOW_PATH as prefix } from "../AppPath";

export default {
	models: function (data) {
		return request({
			url: prefix + "/rest/models",
			// url: prefix + '/flowable/model/rest/models',
			method: "post",
			data: data,
		});
	},

	editorJson: function (modelId) {
		return request({
			url:
				prefix +
				`/rest/models/${modelId}/editor/json?version=${new Date().getTime()}`,
			method: "get",
		});
	},
};
