import request from "@/utils/httpRequest";
import { FLOW_PATH as prefix } from "../AppPath";

export default {
	save: function (inputForm) {
		return request({
			url: prefix + "/extension/flowCopy/save",
			method: "post",
			headers: {
				"Content-Type":
					"application/x-www-form-urlencoded; charset=utf-8",
			},
			data: inputForm,
		});
	},

	delete: function (ids) {
		return request({
			url: prefix + "/extension/flowCopy/delete",
			method: "delete",
			params: { ids: ids },
		});
	},

	list: function (params) {
		return request({
			url: prefix + "/extension/flowCopy/list",
			method: "get",
			params: params,
		});
	},
};
